--------------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.Std_Logic_1164.all;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ENTITY Configurable_U1 IS
  PORT(
      D0_B : IN std_logic_vector(9 downto 0):=(OTHERS => 'U');
      D1_B : IN std_logic_vector(2 downto 0):=(OTHERS => 'U');
      Q0_B : OUT std_logic_vector(9 downto 0) := (Others=>'0');
      Q1_B : OUT std_logic_vector(2 downto 0) := (Others=>'0');
      CE : IN std_logic:='U';
      C : IN std_logic:='U'
  );
END Configurable_U1;
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
ARCHITECTURE structure OF Configurable_U1 IS
BEGIN
    PROCESS(C)
    BEGIN
        IF ( C'Event and C = '1' ) THEN
            IF (CE = '1') THEN
                Q0_B <= D0_B;
                Q1_B <= D1_B;
            END IF;
        END IF;
    END PROCESS;
END structure;
--------------------------------------------------------------------------------
